Bug 107475 - [patch] sysutils/fusefs-ntfs: update to new version 20070102.BETA
Summary: [patch] sysutils/fusefs-ntfs: update to new version 20070102.BETA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-03 15:30 UTC by Boris Samorodov
Modified: 2007-01-10 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (470 bytes, patch)
2007-01-03 15:30 UTC, Boris Samorodov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2007-01-03 15:30:34 UTC
	Update to new BETA version (the previuos one is not available).

Fix: . update to 20070102.BETA
	. s/INSTALLS_SHLIB/USE_LDCONFIG/
	. introduce a new patch (files/patch-src_Makefile.in),
	  it is up to maintainer either use the patch or deal with it
	  in a different way:
	  - original distro installs a symlink to $(DESTDIR)/sbin directory,
	    but $(DESTDIR) is undefined;
	  - $(LDCONFIG) is not needed here as USE_LDCONFIG=yes does 'The
	    Right Thing';
	  - remove a symlink to man8 mount.ntfs-3g (doesn't fit the technique
	    how our ports system deals with MAN pages).

A new patch should go to files directory:

--- files/patch-src_Makefile.in begins here ---


WBR
-- 
bsam--cC0Q9wOZ4eZaUtpOsoMEtj6OXWd3J74uMfWrLOzWn8xK1VlB
Content-Type: text/plain; name="fusefs-ntfs.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="fusefs-ntfs.diff"

? files/patch-src_Makefile.in
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/fusefs-ntfs/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	6 Dec 2006 04:29:58 -0000	1.2
+++ Makefile	3 Jan 2007 14:58:03 -0000
@@ -5,7 +5,7 @@
 #
 
 PORTNAME=	ntfs
-PORTVERSION=	20061115.BETA
+PORTVERSION=	20070102.BETA
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.ntfs-3g.org/
 MASTER_SITE_SUBDIR=	fuse
@@ -23,7 +23,9 @@
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
 ONLY_FOR_ARCHS=	i386 amd64
-INSTALLS_SHLIB=	yes
+USE_LDCONFIG=	yes
+
+MAN8=		ntfs-3g.8
 
 post-patch:
 	@${CP} ${FILESDIR}/unix_io_raw.c ${WRKSRC}/libntfs-3g
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/sysutils/fusefs-ntfs/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	5 Dec 2006 22:15:46 -0000	1.1
+++ distinfo	3 Jan 2007 14:58:03 -0000
@@ -1,3 +1,3 @@
-MD5 (ntfs-3g-0.20061115-BETA.tgz) = 9a0c1a3d2a27deaeda6c39003e9f57c4
-SHA256 (ntfs-3g-0.20061115-BETA.tgz) = 07688def198062931fab960e3c44bfd083e109e5e15f4c9d429b824d7c83c2cb
-SIZE (ntfs-3g-0.20061115-BETA.tgz) = 559073
+MD5 (ntfs-3g-0.20070102-BETA.tgz) = 3f03bae2ef34c7adb7a3aece6c921f94
+SHA256 (ntfs-3g-0.20070102-BETA.tgz) = 28f1fc26257802055275976dd9c606ac913d3caedd3c0a7b28538d234da8fee6
+SIZE (ntfs-3g-0.20070102-BETA.tgz) = 561276
Comment 1 Edwin Groothuis freebsd_committer 2007-01-03 15:30:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer
Comment 2 John Nielsen 2007-01-09 20:46:37 UTC
With these patches the port fetches and builds okay, but any call to the 
ntfs-3g binary simply results in a core dump. I'm running 6.2-RC2 on i386.
Comment 3 dfilter service freebsd_committer 2007-01-10 21:54:39 UTC
fjoe        2007-01-10 21:54:31 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/fusefs-ntfs Makefile distinfo 
    sysutils/fusefs-ntfs/files unix_io_raw.c 
  Added files:
    sysutils/fusefs-ntfs/files patch-src-Makefile.in 
  Log:
  - Update 20070102.
  - Fix pkg-plist [1]
  - Change PORTVERSION to start with 0. I hate PORTEPOCH.
  
  PR:             107475
  Noticed by:     kris (via pointyhat) [1]
  
  Revision  Changes    Path
  1.3       +4 -3      ports/sysutils/fusefs-ntfs/Makefile
  1.2       +3 -3      ports/sysutils/fusefs-ntfs/distinfo
  1.1       +16 -0     ports/sysutils/fusefs-ntfs/files/patch-src-Makefile.in (new)
  1.3       +49 -55    ports/sysutils/fusefs-ntfs/files/unix_io_raw.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2007-01-10 21:54:42 UTC
State Changed
From-To: open->closed

Port has been fixed. The PR can now be closed.